%define anolis_release 3

Name:           libyaml
Version:        0.2.5
Release:        %{anolis_release}%{?dist}
Summary:        A C library for parsing and emitting YAML

License:        MIT
URL:            https://github.com/yaml/libyaml
Source0:        https://github.com/yaml/libyaml/releases/download/%{version}/yaml-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages.  LibYAML is a YAML parser and
emitter written in C.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:   Development files for LibYAML applications
Requires:  libyaml = %{EVR}
Requires:  pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use LibYAML.

%prep
%autosetup -n yaml-%{version}

%build
%configure
%make_build all html

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

soname=$(readelf -d %{buildroot}%{_libdir}/libyaml.so | awk '$2 == "(SONAME)" {print $NF}' | tr -d '[]')
rm -f %{buildroot}%{_libdir}/libyaml.so
echo "INPUT($soname)" > %{buildroot}%{_libdir}/libyaml.so

%check
make check

%generate_compatibility_deps

%files
%license License
%dir %{abidir}
%{_libdir}/%{name}*.so.*
%{abidir}/%{name}*.dump

%files doc
%doc ReadMe.md Changes

%files devel
%doc doc/html
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/yaml-0.1.pc
%{_includedir}/yaml.h

%changelog
* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.2.5-3
- optimize spec

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.5-2
- add doc package

* Tue Mar 08 2022 mahailiang <mahailiang@uniontech.com> - 0.2.5-1
- Init from upstream version 0.2.5

